| Version: 3.1.5

Classes | Enumerations | Variables
power.h File Reference

## Classes
class | wxPowerEvent
| The power events are generated when the system power state changes, e.g. More...
class | wxPowerResource
| Helper functions for acquiring and releasing the given power resource. More...
class | wxPowerResourceBlocker
| Helper RAII class ensuring that power resources are released. More...

## Enumerations
enum | wxPowerType { wxPOWER_SOCKET , wxPOWER_BATTERY , wxPOWER_UNKNOWN }
enum | wxBatteryState { wxBATTERY_NORMAL_STATE , wxBATTERY_LOW_STATE , wxBATTERY_CRITICAL_STATE , wxBATTERY_SHUTDOWN_STATE , wxBATTERY_UNKNOWN_STATE }
enum | wxPowerResourceKind { wxPOWER_RESOURCE_SCREEN , wxPOWER_RESOURCE_SYSTEM }
| Possible power resources that can be locked by wxPowerResourceBlocker. More...

## Variables
wxEventType | wxEVT_POWER_SUSPENDING
wxEventType | wxEVT_POWER_SUSPENDED
wxEventType | wxEVT_POWER_SUSPEND_CANCEL
wxEventType | wxEVT_POWER_RESUME

## Enumeration Type Documentation

## ◆ wxBatteryState

enum wxBatteryState

Enumerator
wxBATTERY_NORMAL_STATE |
wxBATTERY_LOW_STATE |
wxBATTERY_CRITICAL_STATE |
wxBATTERY_SHUTDOWN_STATE |
wxBATTERY_UNKNOWN_STATE |

## ◆ wxPowerResourceKind

enum wxPowerResourceKind

Possible power resources that can be locked by wxPowerResourceBlocker.

Since
  3.1.0

Enumerator
wxPOWER_RESOURCE_SCREEN | Use to prevent automatic display power off.
wxPOWER_RESOURCE_SYSTEM | Use to prevent automatic system suspend.

## ◆ wxPowerType

enum wxPowerType

Enumerator
wxPOWER_SOCKET |
wxPOWER_BATTERY |
wxPOWER_UNKNOWN |

## Variable Documentation

## ◆ wxEVT_POWER_RESUME

wxEventType wxEVT_POWER_RESUME

## ◆ wxEVT_POWER_SUSPEND_CANCEL

wxEventType wxEVT_POWER_SUSPEND_CANCEL

## ◆ wxEVT_POWER_SUSPENDED

wxEventType wxEVT_POWER_SUSPENDED

## ◆ wxEVT_POWER_SUSPENDING

wxEventType wxEVT_POWER_SUSPENDING